using System;

namespace Tak
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            s = Console.ReadLine().Split(); int br = 0;
            int w= int.Parse(s[n-1]);
            if (w == k)
                Console.WriteLine(s[0]);
            else
            {
                while (br < n-1)
                {
                    w = int.Parse(s[br]);
                    if (w == k)
                    {
                        Console.WriteLine(s[br + 1]);
                        break;
                    }
                    br++;
                }
            }
        }
    }
}